NoneEncoder (Grails 6.0.0)

Package: org.grails.encoder.impl

## [Java] Class NoneEncoder

- org.grails.encoder.impl.NoneEncoder

- All Implemented Interfaces and Traits:
    StreamingEncoder

      public class NoneEncoder
      extends java.lang.Object
      implements StreamingEncoder

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CodecIdentifier` | `CODEC_IDENTIFIER` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `encode(java.lang.Object o)`
    `` | `public void` | `encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`
    `` | `public boolean` | `isApplyToSafelyEncoded()`
    `` | `public boolean` | `isSafe()`
    `` | `public void` | `markEncoded(java.lang.CharSequence string)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### static final CodecIdentifier CODEC_IDENTIFIER

  - ### Method Detail

    - #### public java.lang.Object encode(java.lang.Object o)

    - #### public void encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)

    - #### public CodecIdentifier getCodecIdentifier()

    - #### public boolean isApplyToSafelyEncoded()

    - #### public boolean isSafe()

    - #### public void markEncoded(java.lang.CharSequence string)